[arch-releng] [PATCH 3/5] [configs/releng] Enable systemd services

Gerardo Exequiel Pozzi vmlinuz386 at yahoo.com.ar
Sat Aug 18 23:57:18 EDT 2012


Also makes a custom autologin unit.

Signed-off-by: Gerardo Exequiel Pozzi <vmlinuz386 at yahoo.com.ar>
---
 configs/releng/build.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/configs/releng/build.sh b/configs/releng/build.sh
index 7aad14e..eb0e5b4 100755
--- a/configs/releng/build.sh
+++ b/configs/releng/build.sh
@@ -150,6 +150,9 @@ make_customize_root_image() {
         sed -i "s/#Server/Server/g" ${work_dir}/root-image/etc/pacman.d/mirrorlist
         patch ${work_dir}/root-image/usr/bin/pacman-key < ${script_path}/pacman-key-4.0.3_unattended-keyring-init.patch
         sed -i 's/#\(en_US\.UTF-8\)/\1/' ${work_dir}/root-image/etc/locale.gen
+        sed 's#\(^ExecStart=-/sbin/agetty\)#\1 --autologin root#;
+             s#\(^Restart=\).\+$#\1no#' \
+            /usr/lib/systemd/system/getty at .service > ${work_dir}/root-image/etc/systemd/system/autologin at .service
         mkarchiso ${verbose} -w "${work_dir}" -C "${pacman_conf}" -D "${install_dir}" \
             -r 'locale-gen' \
             run
@@ -159,6 +162,9 @@ make_customize_root_image() {
         mkarchiso ${verbose} -w "${work_dir}" -C "${pacman_conf}" -D "${install_dir}" \
             -r 'useradd -m -p "" -g users -G "audio,disk,optical,wheel" -s /bin/zsh arch' \
             run
+        mkarchiso ${verbose} -w "${work_dir}" -C "${pacman_conf}" -D "${install_dir}" \
+            -r 'systemctl -f enable haveged.service pacman-init.service autologin at .service dhcpcd at eth0.service || true' \
+            run
         : > ${work_dir}/build.${FUNCNAME}
     fi
 }
-- 
1.7.11.5



More information about the arch-releng mailing list